Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 27 Mar 2013 14:06:04 +0100
From:      Loic Capdeville <lolox-freebsd@lolox.net>
To:        Volodymyr Kostyrko <c.kworr@gmail.com>
Cc:        freebsd-questions@freebsd.org
Subject:   Re: Upgrade devel/py-setuptools
Message-ID:  <5152EEBC.20805@lolox.net>
In-Reply-To: <5152ED8B.8080408@lolox.net>
References:  <5152E47B.6080904@lolox.net> <5152EB33.4010009@gmail.com> <5152ED8B.8080408@lolox.net>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On 27/03/2013 14:00, Loic Capdeville wrote:
> On 27/03/2013 13:50, Volodymyr Kostyrko wrote:
>> 2013-03-27 14:22, Loic Capdeville wrote:
>>> Hi !
>>>
>>> I'm trying to update devel/py-setuptools which has been replaced by
>>> devel/py-distribute.
>>> As mentioned in /usr/ports/UPDATING I did "portupgrade -fo
>>> devel/py-distribute devel/py-setuptools" since I'm using ports, but
>>> nothing happens.
>>>
>>> Output of "pkg_version -vIL=" :
>>> py27-setuptools-0.6c11_3            >   succeeds index (index has
>>> 0.6.35)
>>>
>>> I already tried to fix the package registry using "pkgdb -F".
>>>
>>> I've been trying to fix this for days, but still can't find a solution.
>>>
>>> Any idea ?
>>
>> Can you post contents of
>> /usr/local/lib/python2.7/site-packages/easy-install.pth* files?
>>
>
> Thanks for your quick response.
> Here is what you requested:
>
> -rw-r--r--  1 root  wheel  395 Mar 13 04:50
> /usr/local/lib/python2.7/site-packages/easy-install.pth
> -rw-r--r--  1 root  wheel  215 Dec 30 15:04
> /usr/local/lib/python2.7/site-packages/easy-install.pth.dist
>
>
> _______________________________________________
> freebsd-questions@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-questions
> To unsubscribe, send any mail to
> "freebsd-questions-unsubscribe@freebsd.org"

... and the files content:

/usr/local/lib/python2.7/site-packages/easy-install.pth:

import sys; sys.__plen = len(sys.path)
./setuptools-0.6c11-py2.7.egg
./Pygments-1.5-py2.7.egg
./Babel-0.9.6-py2.7.egg
./MarkupSafe-0.15-py2.7-freebsd-9.0-RELEASE-amd64.egg
./Jinja2-2.6-py2.7.egg
./Sphinx-1.1.3-py2.7.egg
./virtualenv-1.9.1-py2.7.egg
import sys; new=sys.path[sys.__plen:]; del sys.path[sys.__plen:]; 
p=getattr(sys,'__egginsert',0); sys.path[p:p]=new; sys.__egginsert = 
p+len(new)


/usr/local/lib/python2.7/site-packages/easy-install.pth.dist:

import sys; sys.__plen = len(sys.path)
./setuptools-0.6c11-py2.7.egg
import sys; new=sys.path[sys.__plen:]; del sys.path[sys.__plen:]; 
p=getattr(sys,'__egginsert',0); sys.path[p:p]=new; sys.__egginsert = 
p+len(new)




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?5152EEBC.20805>